//DKS

/***********************************************************
*                      K O U L E S                         *
*----------------------------------------------------------*
*  C1995 JAHUSOFT                                          *
*        Jan Hubicka                                       *
*        Dukelskych Bojovniku 1944                         *
*        390 03 Tabor                                      *
*        Czech Republic                                    *
*        Phone: 0041-361-32613                             *
*        eMail: hubicka@limax.paru.cas.cz                  *
*----------------------------------------------------------*
*   Copyright(c)1995,1996 by Jan Hubicka.See README for    *
*                     licence details.                     *
*----------------------------------------------------------*
*  interface.h   interface for gp2x                        *
***********************************************************/


//DKS
#define GP2X_BUTTON_UP              (0)
#define GP2X_BUTTON_DOWN            (4)
#define GP2X_BUTTON_LEFT            (2)
#define GP2X_BUTTON_RIGHT           (6)
#define GP2X_BUTTON_UPLEFT          (1)
#define GP2X_BUTTON_UPRIGHT         (7)
#define GP2X_BUTTON_DOWNLEFT        (3)
#define GP2X_BUTTON_DOWNRIGHT       (5)
#define GP2X_BUTTON_CLICK           (18)
#define GP2X_BUTTON_A               (12)
#define GP2X_BUTTON_B               (13)
#define GP2X_BUTTON_X               (15)
#define GP2X_BUTTON_Y               (14)
#define GP2X_BUTTON_L               (11)
#define GP2X_BUTTON_R               (10)
#define GP2X_BUTTON_START           (8)
#define GP2X_BUTTON_SELECT          (9)
#define GP2X_BUTTON_VOLUP           (16)
#define GP2X_BUTTON_VOLDOWN         (17)

extern SDL_Joystick *joy;

#define IsPressedEnter() SDL_JoystickGetButton(joy, GP2X_BUTTON_B)
#define IsPressedUp() SDL_JoystickGetButton(joy, GP2X_BUTTON_UP)
#define IsPressedDown() SDL_JoystickGetButton(joy, GP2X_BUTTON_DOWN)
#define IsPressedLeft() SDL_JoystickGetButton(joy, GP2X_BUTTON_LEFT)
#define IsPressedRight() SDL_JoystickGetButton(joy, GP2X_BUTTON_RIGHT)
#define IsPressedEsc() SDL_JoystickGetButton(joy, GP2X_BUTTON_SELECT)
#define IsPressedH() SDL_JoystickGetButton(joy, GP2X_BUTTON_R)
#define IsPressedP() SDL_JoystickGetButton(joy, GP2X_BUTTON_L)

#define IsPressed(button) SDL_JoystickGetButton(joy, (button))


#define UpdateInput() SDL_JoystickUpdate()

// DKS - Is a button pushed?
extern inline int Pressed ()
{
    return (  SDL_JoystickGetButton(joy, GP2X_BUTTON_A) ||
              SDL_JoystickGetButton(joy, GP2X_BUTTON_B) ||
              SDL_JoystickGetButton(joy, GP2X_BUTTON_X) ||
              SDL_JoystickGetButton(joy, GP2X_BUTTON_Y) ||
              SDL_JoystickGetButton(joy, GP2X_BUTTON_CLICK) ||
              SDL_JoystickGetButton(joy, GP2X_BUTTON_SELECT) ||
              SDL_JoystickGetButton(joy, GP2X_BUTTON_START) ||
              SDL_JoystickGetButton(joy, GP2X_BUTTON_L) ||
              SDL_JoystickGetButton(joy, GP2X_BUTTON_R) );
}

